// Demonstrate tick routines
// W. Langdon cs.ucl.ac.uk 16 Feb 2017 based upon test_md.c 1.14
#define main_version "$Revision: 1.1 $"

//Modifications (in reverse order)


#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include "tick.h"

int main(int argc, char * argv[]) {
  fprintf(stderr,"getTickCount example %s\n",main_version);
  const int ntests = (argc>1)? atoi(argv[1]) : 10;
  const int ans = ntests*(ntests-1)/2;

  const long long int t0 = getTickCount();

  int sum = 0;
  int i;
  for(i=0;i<ntests;i++) sum += i;

  const long long int t1 = getTickCount();

  if(sum == ans) printf("Passed tests %d %d ",ntests,ans);
  else           printf("Test %d failed expected %d got %d ",ntests,ans,sum);

  const long long int ticks = t1 - t0;
  printf("duration %llu ticks ",ticks);

#if defined WIN32 || defined _WIN32 || defined WINCE
#elif defined __linux || defined __linux__
  printf("%g seconds",1.0e-9*(double)ticks);
#endif

  printf("\n");
  return 0;
}
